cgGetNextAnnotation(3)

NAME
cgGetNextAnnotation - iterate through annotations

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetNextAnnotation( CGannotation ann );

PARAMETERS

ann The current annotation.

RETURN VALUES
Returns the next annotation in the sequence of annotations associated with the annotated object.

Returns NULL when ann is the last annotation.

DESCRIPTION
The annotations associated with a parameter, pass, technique, or program can be iterated over by using cgGetNextAnnotation.

Note that no specific order of traversal is defined by this mechanism. The only guarantee is that each annotation will be visited exactly once.

EXAMPLES
  CGannotation ann = cgGetFirstParameterAnnotation( param );
  while( ann )
  {
    /* do something with ann */
    ann = cgGetNextAnnotation( ann );
  }

ERRORS
CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

HISTORY
cgGetNextAnnotation was introduced in Cg 1.4.

SEE ALSO
the cgGetFirstParameterAnnotation manpage, the cgGetFirstPassAnnotation manpage, the cgGetFirstTechniqueAnnotation manpage, the cgGetFirstProgramAnnotation manpage, the cgGetNamedParameterAnnotation manpage, the cgGetNamedPassAnnotation manpage, the cgGetNamedTechniqueAnnotation manpage, the cgGetNamedProgramAnnotation manpage, the cgIsAnnotation manpage